Skip to main content
POST
Generate content using a Gemini-compatible AIsa model

Request contract

Complete OpenAPI definition Effective request and pricing declaration (including authentication and referenced schemas):

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

model
string
required

The AIsa model ID to use, for example: gemini-3.5-flash.

Example:

"gemini-3.5-flash"

Body

application/json
contents
object[]
required

Content of the conversation, required

cachedContent
string

Optional cached content ID

generationConfig
object
safetySettings
object[]
systemInstruction
object
toolConfig
object

Optional tool configuration

tools
object[]

Optional tools the model can use

Response

Successful content generation

candidates
object[]
modelVersion
string
responseId
string
usageMetadata
object